Package org.apache.tools.ant.taskdefs

# Class SQLExec.DelimiterType

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.SQLExec.DelimiterType

Enclosing class:
  `SQLExec`

public static class SQLExec.DelimiterType extends EnumeratedAttribute
delimiters we support, "normal" and "row"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NORMAL`
The enumerated strings
`static final String`
`ROW`
The enumerated strings

### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`value`

## Constructor Summary

Constructors
Constructor
Description
`DelimiterType()`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getValues()`
This is the only method a subclass needs to implement.

### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NORMAL

public static final String NORMAL
The enumerated strings

See Also:
  - Constant Field Values

### ROW

public static final String ROW
The enumerated strings

See Also:
  - Constant Field Values

## Constructor Details

### DelimiterType

public DelimiterType()

## Method Details

### getValues

public String[] getValues()
Description copied from class: `EnumeratedAttribute`
This is the only method a subclass needs to implement.

Specified by:
  `getValues` in class `EnumeratedAttribute`
Returns:
  the enumerated strings